section.blog-section-area {
    padding: 50px 0;
}
.blog-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    align-items: stretch;
}

.blog-card-col {
    display: flex;
    height: 100%;
}

.blog-card-wrapper {
    text-decoration: none;
    cursor: pointer;
    display: flex;
    width: 100%;
    height: 100%;
}

.blog-card-wrapper-box {
    width: 100%;
    height: 100%;
}

.blog-image {
    position: relative;
    overflow: hidden;
}

.blog-image::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgb(0 0 0 / 38%);
    pointer-events: none;
    z-index: 1;
}

.blog-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform 0.5s, filter 0.5s;
}

.blog-card-wrapper:hover .blog-image img {
    transform: scale(1.08);
    filter: brightness(0.9);
}


.blog-content-box{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 25px;
    background: linear-gradient(to top, rgb(0 0 0 / 93%) 0%, rgb(0 0 0 / 71%) 45%, rgb(0 0 0 / 0%) 100%);
}

.blog-content h3{
    margin: 0;
    color: #fff;
    font-size: 22px;
    line-height: 1.4;
    font-weight: 500;
    z-index: 9;
    position: relative;
}
@media (max-width: 992px) {
    .blog-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
}


@media (max-width: 768px) {
    .blog-grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }
}

.video-card-box {
    position: relative;
    cursor: pointer;
}

.video-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s;
}

.video-card-box:hover .video-icon {
    opacity: 1;
}

.video-icon i {
    color: #fff;
    font-size: 30px;
}


